Skip to content
Coritan Docs

Organization API: Customer Portal: Aliases

The 3 Organization API operations for aliases.

View as Markdown

Part of Customer Portal.

GET /api/v1/orgs/{org_slug}/portal/mail/{service_id}/aliases

Name In Type Required
org_slug path string yes
service_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/portal/mail/{service_id}/aliases

Name In Type Required
org_slug path string yes
service_id path integer yes

application/json (required)

Field Type Required
domain_id integer yes
local_part string yes
targets array of string yes
Status Meaning
201 Success.
422 The request is not valid. detail lists each problem.

DELETE /api/v1/orgs/{org_slug}/portal/mail/{service_id}/aliases/{account_id}

Name In Type Required
account_id path integer yes
org_slug path string yes
service_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.